{
Copyright (C) 2002-2019  Massimo Melina (www.rejetto.com)

This file is part of HFS ~ HTTP File Server.

    HFS is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    HFS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with HFS; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Modified by Mars & SilentPliz - 2007/2019 - <silentpliz@gmail.com>
Internationalized & localized for HFS ~ HTTP File Server by SilentPliz - 2011-2019  <silentpliz@gmail.com>
}

unit folderKindDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, strUtils, ExtCtrls, JvBaseDlg, JvDesktopAlert,
  JvExButtons, JvBitBtn, gnugettext;

type
  TfolderKindFrm = class(TForm)
    JvDesktopAlert1: TJvDesktopAlert;
    JvDesktopAlert2: TJvDesktopAlert;
    realLbl: TLabel;
    virtuaLbl: TLabel;
    Label3: TLabel;
    hintLbl: TLabel;
    realBtn: TBitBtn;
    virtuaBtn: TBitBtn;
    JvBitBtn3: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure JvBitBtn3Click(Sender: TObject); //add by SilentPliz
    procedure JvDesktopAlert1Buttons0Click(Sender: TObject);
    procedure FormShow(Sender: TObject); //add by SilentPliz
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.dfm}

procedure TfolderKindFrm.FormCreate(Sender: TObject);
begin
TranslateComponent (self);  //add by SilentPliz
realBtn.Font.Style:=[fsBold];
with hintLbl do caption:=ansiReplaceStr(caption,'? ','?'#13);
    self.DefaultMonitor:=dmMainForm;
    self.Position:=poScreenCenter;
end;

procedure TfolderKindFrm.FormShow(Sender: TObject); //add by SilentPliz
begin
RetranslateComponent (self);
end;

procedure TfolderKindFrm.JvBitBtn3Click(Sender: TObject); //add by SilentPliz
begin
 JvDesktopAlert1.Execute;
end;

procedure TfolderKindFrm.JvDesktopAlert1Buttons0Click(Sender: TObject); //add by SilentPliz
begin
 JvDesktopAlert2.Execute;
end;

end.
