{
Copyright (C) 2002-2019  Massimo Melina (www.rejetto.com)

This file is part of HFS ~ HTTP File Server.

    HFS is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    HFS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with HFS; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Modified by Mars & SilentPliz - 2007/2019 - <silentpliz@gmail.com>
Internationalized & localized for HFS ~ HTTP File Server by SilentPliz - 2011-2019  <silentpliz@gmail.com>
}

unit longinputDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, gnugettext;

type
  TlonginputFrm = class(TForm)
    bottomPnl: TPanel;
    topPnl: TPanel;
    msgLbl: TLabel;
    okBtn: TButton;
    cancelBtn: TButton;
    inputBox: TMemo;
    procedure bottomPnlResize(Sender: TObject);
    procedure inputBoxKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.dfm}

procedure TlonginputFrm.bottomPnlResize(Sender: TObject);
begin
okBtn.left:=(bottomPnl.Width-cancelBtn.BoundsRect.right+okBtn.BoundsRect.left) div 2;
cancelBtn.left:=okBtn.BoundsRect.Right+10;
end;

procedure TlonginputFrm.FormCreate(Sender: TObject);
begin
  TranslateComponent (self);  //add by SilentPliz
    self.DefaultMonitor:=dmMainForm;          //add by mars
    self.Position:=poScreenCenter;            //add by mars
end;

procedure TlonginputFrm.FormShow(Sender: TObject); //add by SilentPliz
begin
  RetranslateComponent (self);
end;

procedure TlonginputFrm.inputBoxKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if shift = [ssCtrl] then
  if key = ord('A') then
    inputBox.SelectAll();
end;

end.
