{
Copyright (C) 2002-2019  Massimo Melina (www.rejetto.com)

This file is part of HFS ~ HTTP File Server.

    HFS is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    HFS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with HFS; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Modified by Mars & SilentPliz - 2007/2019 - <silentpliz@gmail.com>
Internationalized & localized for HFS ~ HTTP File Server by SilentPliz - 2011-2019  <silentpliz@gmail.com>
}

unit runscriptDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, gnugettext;

type
  TrunScriptFrm = class(TForm)
    Panel1: TPanel;
    sizeLbl: TLabel;
    runBtn: TButton;
    resultBox: TMemo;
    autorunChk: TCheckBox;
    CloseBtn: TButton;
    procedure runBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure CloseBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  runScriptFrm: TrunScriptFrm;

implementation

{$R *.dfm}

uses
  main, utilLib, classesLib, scriptLib;

procedure TrunScriptFrm.CloseBtnClick(Sender: TObject);  //add by SilentPliz
begin
runScriptFrm.Close;
end;

procedure TrunScriptFrm.FormCreate(Sender: TObject);  //add by SilentPliz
begin
  TranslateComponent (self);
end;

procedure TrunScriptFrm.FormShow(Sender: TObject); //add by SilentPliz
begin
  RetranslateComponent (self);
end;

procedure TrunScriptFrm.runBtnClick(Sender: TObject);
var
  tpl: Ttpl;
begin
tpl:=Ttpl.create;
try
  try
  tpl.fullText:=loadFile(tempScriptFilename);
  resultBox.text:=runScript(tpl[''], NIL, tpl);
  sizeLbl.Caption:=getTill(':', sizeLbl.Caption)+': '+intToStr(length(resultBox.text));
except on e:Exception do resultBox.text:=e.message end;
finally tpl.free end;
end;

end.
